cxf-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ronald Pieterse <ronaldpiete...@gmail.com>
Subject upgrade from 2.0.5 to 2.0.8 :: <jaxws:outInterceptors> throws exception
Date Fri, 01 Aug 2008 06:59:10 GMT

Hello.

Until this morning I was using CXF version 2.0.5-incubator for my services
(yes I know, I should check for upgrades more often ;-) and decided I wanted
to upgrade to 2.0.8. btw, I'm using it with spring 2.5.5.
It all went smooth - no changes needed at all - until I made a service call.
The call itself went fine but it threw an UnsupportedOperationException from
the <jaxws:outInterceptors> I am using.
If I take the outInterceptors and outFaultInterceptors stuff out it works
fine.
Is there something I should have done or changed?

In my spring file the service configuration is:

	<jaxws:endpoint id="dialogueService15" implementor="#dialogueBean15"
		implementorClass="com.tripolis.api.impl.DialogueServiceImpl15"
		address="/1.5/DialogueService">
		<jaxws:outInterceptors>
			<ref bean="soapHeaderSetter15" />
		</jaxws:outInterceptors>
		<jaxws:outFaultInterceptors>
			<ref bean="soapHeaderSetter15" />
		</jaxws:outFaultInterceptors>
	</jaxws:endpoint>

Greetz, 
Ronald

-- 
View this message in context: http://www.nabble.com/upgrade-from-2.0.5-to-2.0.8-%3A%3A-%3Cjaxws%3AoutInterceptors%3E-throws-exception-tp18769193p18769193.html
Sent from the cxf-user mailing list archive at Nabble.com.


Mime
View raw message